<?php
namespace HCM\FPA\ObrigacaoLegal\Rais\Entities;

use HCM\FPA\ObrigacaoLegal\Rais\FormataMagnetico;

class Tipo02Base extends FormataMagnetico
{
    protected $sequencial;             //06
    protected $cnpj;                   //14
    protected $prefixo;                //02
    protected $tipoRegistro;           //01
    protected $codigoPisPasep;         //11
    protected $nomeEmpregado;          //52
    protected $dataNascimento;         //08
    protected $nacionalidade;          //02
    protected $anoChegPais;            //04
    protected $grauInstrucao;          //02
    protected $cpf;                    //11
    protected $ctpsNumero;             //08
    protected $ctpsSerie;              //05
    protected $dataAdmissao;           //08
    protected $tipoAdmissao;           //02
    protected $salarioContratu;        //09
    protected $tipoSalContratu;        //01
    protected $horasSemanais;          //02
    protected $cbo;                    //06
    protected $vinculoEmpregat;        //02
    protected $codDesligamento;        //02
    protected $dataDesligamento;       //04
    protected $remunJaneiro;           //09
    protected $remunFevereiro;         //09
    protected $remunMarco;             //09
    protected $remunAbril;             //09
    protected $remunMaio;              //09
    protected $remunJunho;             //09
    protected $remunJulho;             //09
    protected $remunAgosto;            //09
    protected $remunSetembro;          //09
    protected $remunOutubro;           //09
    protected $remunNovembro;          //09
    protected $remunDezembro;          //09
    protected $remun13Adianta;         //09
    protected $mes13Adianta;           //02
    protected $remun13Final;           //09
    protected $mes13Final;             //02
    protected $raca;                   //01
    protected $deficiencia;            //01
    protected $tipoDeficiencia;        //01
    protected $alvara;                 //01
    protected $avisoPrevio;            //09
    protected $sexo;                   //01
    protected $motPriAfastam;          //02
    protected $dataIniPriAfast;        //04
    protected $dataFimPriAfast;        //04
    protected $motSegAfastam;          //02
    protected $dataIniSegAfast;        //04
    protected $dataFimSegAfast;        //04
    protected $motTerAfastam;          //02
    protected $dataIniTerAfast;        //04
    protected $dataFimTerAfast;        //04
    protected $quantDias;              //03
    protected $feriasIndenizada;       //08
    protected $bancoDados;             //08
    protected $quantMeses;             //02
    protected $valorDissidio;          //08
    protected $quantMesesDissid;       //02
    protected $gratificacoes;          //08
    protected $mesesGratifica;         //02
    protected $multRescSemJust;        //08
    protected $cnpjConAssocPri;        //14
    protected $valorConAssoPri;        //08
    protected $cnpjConAssocSeg;        //14
    protected $valorConAssoSeg;        //08
    protected $cnpjConSindiSeg;        //14
    protected $valorConSindSeg;        //08
    protected $cnpjConAssisSeg;        //14
    protected $valorConAssiSeg;        //08
    protected $cnpjConConfeSeg;        //14
    protected $valorConConfSeg;        //08
    protected $municipioTrabalho;      //07
    protected $horaExtraJaneiro;       //09
    protected $horaExtFevereiro;       //09
    protected $horaExtraMarco;         //09
    protected $horaExtraAbril;         //09
    protected $horaExtraMaio;          //09
    protected $horaExtraJunho;         //09
    protected $horaExtraJulho;         //09
    protected $horaExtraAgosto;        //09
    protected $horaExtrSetembro;       //09
    protected $horaExtrOutubro;        //09
    protected $horaExtrNovembro;       //09
    protected $horaExtrDezembro;       //09
    protected $filiadoSindicato;       //01
    protected $infoEmpresa;            //12
    protected $aprendizgravida;        //01
    protected $trabalhoparcial;        //01
    protected $teletrabalho;           //01
    protected $trabalhointermi;        //01
    protected $matricula;              //30
    protected $categoria;              //03

    //CONSTRANTES
    const MOD_SALARIO_MENSAL = 'MENSAL';
    const MOD_SALARIO_QUINZENAL = 'QUINZENAL';
    const MOD_SALARIO_SEMANAL = 'SEMANAL';
    const MOD_SALARIO_DIARIO = 'DIARIO';
    const MOD_SALARIO_HORA = 'HORA';
    const MOD_SALARIO_TAREFA = 'TAREFA';

    const GRP_ITEM_REMUNERACAO = '1';
    const GRP_ITEM_HORASEXTRAS = '2';
    const GRP_ITEM_13SALADIANT = '3';
    const GRP_ITEM_13SALFINAL = '4';
    const GRP_ITEM_FERIASINDEN = '5';
    const GRP_ITEM_GRATIFICAC = '6';
    const GRP_ITEM_MULTARESCSJ = '7';
    const GRP_ITEM_AVISOINDENI = '8';
    const GRP_ITEM_DISSIDIOCOL = '9';
    const GRP_ITEM_CONTRISINDI = '10';
    const GRP_ITEM_CONTRIASSOC = '11';
    const GRP_ITEM_CONTRIASSIS = '12';
    const GRP_ITEM_CONTRICONFE = '13';

    const TPADMISSAO_TRANSF_S_ONUS = '4';
    const CODDESLIG_TRANSF_S_ONUS = '31';
    
    const DEMISSAO_SEM_JUSTA_CAUSA = 2;
    const HR_TRABALHO_PARCIAL = 30; //Valor limte para tabalho parcial. Valores igual ou inferior a este será trabalho parcial
    const VINCULO_MENOR_APRENDIZ = 9; //Aprendiz contratado nos termos do art. 428 da CLT, regulamentado pelo Decreto nº 5.598, de 1º de dezembro de 2005
    const LICENCAO_MATERNIDADE = 5; //Afastamento Licença Gestante

    public function getRow()
    {
        try {
            $row = "";
            $lengths = array(
                'cnpj'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'prefixo'           => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' =>  2),
                'tipoRegistro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'codigoPisPasep'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 11),
                'nomeEmpregado'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' => 52),
                'dataNascimento'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES_ANO_8D, 'TAMANHO' =>  8),
                'nacionalidade'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'anoChegPais'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  4),
                'grauInstrucao'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'cpf'               => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 11),
                'ctpsNumero'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'ctpsSerie'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  5),
                'dataAdmissao'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES_ANO_8D, 'TAMANHO' =>  8),
                'tipoAdmissao'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'salarioContratu'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'tipoSalContratu'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'horasSemanais'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'cbo'               => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  6),
                'vinculoEmpregat'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'codDesligamento'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataDesligamento'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'remunJaneiro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunFevereiro'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunMarco'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunAbril'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunMaio'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunJunho'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunJulho'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunAgosto'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunSetembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunOutubro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunNovembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunDezembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remun13Adianta'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'mes13Adianta'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'remun13Final'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'mes13Final'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'raca'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'deficiencia'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'tipoDeficiencia'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'alvara'            => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'avisoPrevio'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'sexo'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'motPriAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniPriAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimPriAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'motSegAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniSegAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimSegAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'motTerAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniTerAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimTerAfast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'quantDias'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'feriasIndenizada'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'bancoDados'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'quantMeses'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'valorDissidio'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'quantMesesDissid'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'gratificacoes'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'mesesGratifica'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'multRescSemJust'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssocPri'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssoPri'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssocSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssoSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConSindiSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConSindSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssisSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssiSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConConfeSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConConfSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'municipioTrabalho' => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  7),
                'horaExtraJaneiro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtFevereiro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraMarco'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraAbril'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraMaio'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraJunho'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraJulho'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraAgosto'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrSetembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrOutubro'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrNovembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrDezembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'filiadoSindicato'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                /*Layout 2018 - Rafael Pickbrenner pck 26/01/2018 tarefa 117174 - 12/04/2019 186354*/
                'aprendizgravida'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'trabalhoparcial'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'teletrabalho'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'trabalhointermi'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                /**/
                /*Layout 2020 - 11/03/2021 tarefa 320433*/
                'matricula'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' =>  30),
                'categoria'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                /**/
                'infoEmpresa'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' => 8),
            );

            foreach($lengths as $name=>$length){
                $row.=$this->setData($this->$name,$length);
            }

            return $row;
        } catch (\Exception $e) {
            throw $e;
        }
    }


    public function getAlvara()
    {
        return $this->alvara;
    }


    public function setAlvara($alvara)
    {
        $this->alvara = $alvara;
    }

    
    public function getAnoChegPais()
    {
        return $this->anoChegPais;
    }

    public function setAnoChegPais($anoChegPais)
    {
        $this->anoChegPais = $anoChegPais;
    }

    public function getAvisoPrevio()
    {
        return $this->avisoPrevio;
    }

    public function setAvisoPrevio($avisoPrevio)
    {
        $this->avisoPrevio = $avisoPrevio;
    }

    public function getBancoDados()
    {
        return $this->bancoDados;
    }

    public function setBancoDados($bancoDados)
    {
        $this->bancoDados = $bancoDados;
    }

    public function getCbo()
    {
        return $this->cbo;
    }

    public function setCbo($cbo)
    {
        $this->cbo = $cbo;
    }

    public function getCnpj()
    {
        return $this->cnpj;
    }

    public function setCnpj($cnpj)
    {
        $this->cnpj = $cnpj;
    }

    public function getCnpjConAssisSeg()
    {
        return $this->cnpjConAssisSeg;
    }

    public function setCnpjConAssisSeg($cnpjConAssisSeg)
    {
        $this->cnpjConAssisSeg = $cnpjConAssisSeg;
    }

    public function getCnpjConAssocPri()
    {
        return $this->cnpjConAssocPri;
    }

    public function setCnpjConAssocPri($cnpjConAssocPri)
    {
        $this->cnpjConAssocPri = $cnpjConAssocPri;
    }

    public function getCnpjConAssocSeg()
    {
        return $this->cnpjConAssocSeg;
    }

    public function setCnpjConAssocSeg($cnpjConAssocSeg)
    {
        $this->cnpjConAssocSeg = $cnpjConAssocSeg;
    }

    public function getCnpjConConfeSeg()
    {
        return $this->cnpjConConfeSeg;
    }

    public function setCnpjConConfeSeg($cnpjConConfeSeg)
    {
        $this->cnpjConConfeSeg = $cnpjConConfeSeg;
    }

    public function getCnpjConSindiSeg()
    {
        return $this->cnpjConSindiSeg;
    }

    public function setCnpjConSindiSeg($cnpjConSindiSeg)
    {
        $this->cnpjConSindiSeg = $cnpjConSindiSeg;
    }

    public function getCodDesligamento()
    {
        return $this->codDesligamento;
    }

    public function setCodDesligamento($codDesligamento)
    {
        $this->codDesligamento = $codDesligamento;
    }

    public function getCodigoPisPasep()
    {
        return $this->codigoPisPasep;
    }

    public function setCodigoPisPasep($codigoPisPasep)
    {
        $this->codigoPisPasep = $codigoPisPasep;
    }

    public function getCpf()
    {
        return $this->cpf;
    }

    public function setCpf($cpf)
    {
        $this->cpf = $cpf;
    }

    public function getCtpsNumero()
    {
        return $this->ctpsNumero;
    }

    public function setCtpsNumero($ctpsNumero)
    {
        $this->ctpsNumero = $ctpsNumero;
    }

    public function getCtpsSerie()
    {
        return $this->ctpsSerie;
    }

    public function setCtpsSerie($ctpsSerie)
    {
        $this->ctpsSerie = $ctpsSerie;
    }

    public function getDataAdmissao()
    {
        return $this->dataAdmissao;
    }

    public function setDataAdmissao($dataAdmissao)
    {
        $this->dataAdmissao = $dataAdmissao;
    }

    public function getDataDesligamento()
    {
        return $this->dataDesligamento;
    }

    public function setDataDesligamento($dataDesligamento)
    {
        $this->dataDesligamento = $dataDesligamento;
    }

    public function getDataFimPriAfast()
    {
        return $this->dataFimPriAfast;
    }

    public function setDataFimPriAfast($dataFimPriAfast)
    {
        $this->dataFimPriAfast = $dataFimPriAfast;
    }

    public function getDataFimSegAfast()
    {
        return $this->dataFimSegAfast;
    }

    public function setDataFimSegAfast($dataFimSegAfast)
    {
        $this->dataFimSegAfast = $dataFimSegAfast;
    }

    public function getDataFimTerAfast()
    {
        return $this->dataFimTerAfast;
    }

    public function setDataFimTerAfast($dataFimTerAfast)
    {
        $this->dataFimTerAfast = $dataFimTerAfast;
    }

    public function getDataIniPriAfast()
    {
        return $this->dataIniPriAfast;
    }

    
    public function setDataIniPriAfast($dataIniPriAfast)
    {
        $this->dataIniPriAfast = $dataIniPriAfast;
    }

    public function getDataIniSegAfast()
    {
        return $this->dataIniSegAfast;
    }

    
    public function setDataIniSegAfast($dataIniSegAfast)
    {
        $this->dataIniSegAfast = $dataIniSegAfast;
    }

    public function getDataIniTerAfast()
    {
        return $this->dataIniTerAfast;
    }

   
    public function setDataIniTerAfast($dataIniTerAfast)
    {
        $this->dataIniTerAfast = $dataIniTerAfast;
    }

    public function getDataNascimento()
    {
        return $this->dataNascimento;
    }

    
    public function setDataNascimento($dataNascimento)
    {
        $this->dataNascimento = $dataNascimento;
    }

    public function getDeficiencia()
    {
        return $this->deficiencia;
    }

    
    public function setDeficiencia($deficiencia)
    {
        $this->deficiencia = $deficiencia;
    }

    public function getFeriasIndenizada()
    {
        return $this->feriasIndenizada;
    }

    
    public function setFeriasIndenizada($feriasIndenizada)
    {
        $this->feriasIndenizada = $feriasIndenizada;
    }

    public function getFiliadoSindicato()
    {
        return $this->filiadoSindicato;
    }

    public function setFiliadoSindicato($filiadoSindicato)
    {
        $this->filiadoSindicato = $filiadoSindicato;
    }

    public function getGratificacoes()
    {
        return $this->gratificacoes;
    }

   
    public function setGratificacoes($gratificacoes)
    {
        $this->gratificacoes = $gratificacoes;
    }

    public function getGrauInstrucao()
    {
        return $this->grauInstrucao;
    }

    
    public function setGrauInstrucao($grauInstrucao)
    {
        $this->grauInstrucao = $grauInstrucao;
    }

    public function getHoraExtFevereiro()
    {
        return $this->horaExtFevereiro;
    }


    public function setHoraExtFevereiro($horaExtFevereiro)
    {
        $this->horaExtFevereiro = $horaExtFevereiro;
    }

    public function getHoraExtrDezembro()
    {
        return $this->horaExtrDezembro;
    }


    public function setHoraExtrDezembro($horaExtrDezembro)
    {
        $this->horaExtrDezembro = $horaExtrDezembro;
    }

    public function getHoraExtrNovembro()
    {
        return $this->horaExtrNovembro;
    }

    
    public function setHoraExtrNovembro($horaExtrNovembro)
    {
        $this->horaExtrNovembro = $horaExtrNovembro;
    }

    public function getHoraExtrOutubro()
    {
        return $this->horaExtrOutubro;
    }

    
    public function setHoraExtrOutubro($horaExtrOutubro)
    {
        $this->horaExtrOutubro = $horaExtrOutubro;
    }

    public function getHoraExtrSetembro()
    {
        return $this->horaExtrSetembro;
    }

    
    public function setHoraExtrSetembro($horaExtrSetembro)
    {
        $this->horaExtrSetembro = $horaExtrSetembro;
    }

    public function getHoraExtraAbril()
    {
        return $this->horaExtraAbril;
    }

    
    public function setHoraExtraAbril($horaExtraAbril)
    {
        $this->horaExtraAbril = $horaExtraAbril;
    }

    public function getHoraExtraAgosto()
    {
        return $this->horaExtraAgosto;
    }

    
    public function setHoraExtraAgosto($horaExtraAgosto)
    {
        $this->horaExtraAgosto = $horaExtraAgosto;
    }

    public function getHoraExtraJaneiro()
    {
        return $this->horaExtraJaneiro;
    }

    
    public function setHoraExtraJaneiro($horaExtraJaneiro)
    {
        $this->horaExtraJaneiro = $horaExtraJaneiro;
    }

    public function getHoraExtraJulho()
    {
        return $this->horaExtraJulho;
    }

   
    public function setHoraExtraJulho($horaExtraJulho)
    {
        $this->horaExtraJulho = $horaExtraJulho;
    }

    public function getHoraExtraJunho()
    {
        return $this->horaExtraJunho;
    }

    
    public function setHoraExtraJunho($horaExtraJunho)
    {
        $this->horaExtraJunho = $horaExtraJunho;
    }

    public function getHoraExtraMaio()
    {
        return $this->horaExtraMaio;
    }

    
    public function setHoraExtraMaio($horaExtraMaio)
    {
        $this->horaExtraMaio = $horaExtraMaio;
    }

    public function getHoraExtraMarco()
    {
        return $this->horaExtraMarco;
    }

    
    public function setHoraExtraMarco($horaExtraMarco)
    {
        $this->horaExtraMarco = $horaExtraMarco;
    }

    public function getHorasSemanais()
    {
        return $this->horasSemanais;
    }

    
    public function setHorasSemanais($horasSemanais)
    {
        $this->horasSemanais = $horasSemanais;
    }

    public function getInfoEmpresa()
    {
        return $this->infoEmpresa;
    }

    
    public function setInfoEmpresa($infoEmpresa)
    {
        $this->infoEmpresa = $infoEmpresa;
    }

    public function getMes13Adianta()
    {
        return $this->mes13Adianta;
    }

    
    public function setMes13Adianta($mes13Adianta)
    {
        $this->mes13Adianta = $mes13Adianta;
    }

    public function getMes13Final()
    {
        return $this->mes13Final;
    }

   
    public function setMes13Final($mes13Final)
    {
        $this->mes13Final = $mes13Final;
    }

    public function getMesesGratifica()
    {
        return $this->mesesGratifica;
    }

    public function setMesesGratifica($mesesGratifica)
    {
        $this->mesesGratifica = $mesesGratifica;
    }

    public function getMotPriAfastam()
    {
        return $this->motPriAfastam;
    }

    public function setMotPriAfastam($motPriAfastam)
    {
        $this->motPriAfastam = $motPriAfastam;
    }

    public function getMotSegAfastam()
    {
        return $this->motSegAfastam;
    }

    public function setMotSegAfastam($motSegAfastam)
    {
        $this->motSegAfastam = $motSegAfastam;
    }

    public function getMotTerAfastam()
    {
        return $this->motTerAfastam;
    }

    public function setMotTerAfastam($motTerAfastam)
    {
        $this->motTerAfastam = $motTerAfastam;
    }

    public function getMunicipioTrabalho()
    {
        return $this->municipioTrabalho;
    }

    public function setMunicipioTrabalho($municipioTrabalho)
    {
        $this->municipioTrabalho = $municipioTrabalho;
    }

    public function getNacionalidade()
    {
        return $this->nacionalidade;
    }

    public function setNacionalidade($nacionalidade)
    {
        $this->nacionalidade = $nacionalidade;
    }

    public function getNomeEmpregado()
    {
        return $this->nomeEmpregado;
    }

    public function setNomeEmpregado($nomeEmpregado)
    {
        $this->nomeEmpregado = $nomeEmpregado;
    }

    public function getPrefixo()
    {
        return $this->prefixo;
    }

    public function setPrefixo($prefixo)
    {
        $this->prefixo = $prefixo;
    }

    public function getQuantDias()
    {
        return $this->quantDias;
    }

    public function setQuantDias($quantDias)
    {
        $this->quantDias = $quantDias;
    }

    public function getQuantMeses()
    {
        return $this->quantMeses;
    }

    public function setQuantMeses($quantMeses)
    {
        $this->quantMeses = $quantMeses;
    }

    public function getQuantMesesDissid()
    {
        return $this->quantMesesDissid;
    }

    public function setQuantMesesDissid($quantMesesDissid)
    {
        $this->quantMesesDissid = $quantMesesDissid;
    }

    public function getRaca()
    {
        return $this->raca;
    }

    public function setRaca($raca)
    {
        $this->raca = $raca;
    }

    public function getRemun13Adianta()
    {
        return $this->remun13Adianta;
    }

    public function setRemun13Adianta($remun13Adianta)
    {
        $this->remun13Adianta = $remun13Adianta;
    }

    public function getRemun13Final()
    {
        return $this->remun13Final;
    }

    public function setRemun13Final($remun13Final)
    {
        $this->remun13Final = $remun13Final;
    }

    public function getRemunAbril()
    {
        return $this->remunAbril;
    }

    public function setRemunAbril($remunAbril)
    {
        $this->remunAbril = $remunAbril;
    }

    public function getRemunAgosto()
    {
        return $this->remunAgosto;
    }

    public function setRemunAgosto($remunAgosto)
    {
        $this->remunAgosto = $remunAgosto;
    }

    public function getRemunDezembro()
    {
        return $this->remunDezembro;
    }

    public function setRemunDezembro($remunDezembro)
    {
        $this->remunDezembro = $remunDezembro;
    }

    public function getRemunFevereiro()
    {
        return $this->remunFevereiro;
    }

    public function setRemunFevereiro($remunFevereiro)
    {
        $this->remunFevereiro = $remunFevereiro;
    }

    public function getRemunJaneiro()
    {
        return $this->remunJaneiro;
    }

    public function setRemunJaneiro($remunJaneiro)
    {
        $this->remunJaneiro = $remunJaneiro;
    }

    public function getRemunJulho()
    {
        return $this->remunJulho;
    }

    public function setRemunJulho($remunJulho)
    {
        $this->remunJulho = $remunJulho;
    }

    public function getRemunJunho()
    {
        return $this->remunJunho;
    }

    public function setRemunJunho($remunJunho)
    {
        $this->remunJunho = $remunJunho;
    }

    public function getRemunMaio()
    {
        return $this->remunMaio;
    }

    public function setRemunMaio($remunMaio)
    {
        $this->remunMaio = $remunMaio;
    }

    public function getRemunMarco()
    {
        return $this->remunMarco;
    }

    public function setRemunMarco($remunMarco)
    {
        $this->remunMarco = $remunMarco;
    }

    public function getRemunNovembro()
    {
        return $this->remunNovembro;
    }

    public function setRemunNovembro($remunNovembro)
    {
        $this->remunNovembro = $remunNovembro;
    }

    public function getRemunOutubro()
    {
        return $this->remunOutubro;
    }

    public function setRemunOutubro($remunOutubro)
    {
        $this->remunOutubro = $remunOutubro;
    }

    public function getRemunSetembro()
    {
        return $this->remunSetembro;
    }

    public function setRemunSetembro($remunSetembro)
    {
        $this->remunSetembro = $remunSetembro;
    }

    public function getSalarioContratu()
    {
        return $this->salarioContratu;
    }

    public function setSalarioContratu($salarioContratu)
    {
        $this->salarioContratu = $salarioContratu;
    }

    public function getSequencial()
    {
        return $this->sequencial;
    }

    public function setSequencial($sequencial)
    {
        $this->sequencial = $sequencial;
    }

    public function getSexo()
    {
        return $this->sexo;
    }

    public function setSexo($sexo)
    {
        $this->sexo = $sexo;
    }

    public function getTipoAdmissao()
    {
        return $this->tipoAdmissao;
    }

    public function setTipoAdmissao($tipoAdmissao)
    {
        $this->tipoAdmissao = $tipoAdmissao;
    }

    public function getTipoDeficiencia()
    {
        return $this->tipoDeficiencia;
    }

    public function setTipoDeficiencia($tipoDeficiencia)
    {
        $this->tipoDeficiencia = $tipoDeficiencia;
    }

    public function getTipoRegistro()
    {
        return $this->tipoRegistro;
    }

    public function setTipoRegistro($tipoRegistro)
    {
        $this->tipoRegistro = $tipoRegistro;
    }

    public function getTipoSalContratu()
    {
        return $this->tipoSalContratu;
    }

    public function setTipoSalContratu($tipoSalContratu)
    {
        $this->tipoSalContratu = $tipoSalContratu;
    }

    public function getValorConAssiSeg()
    {
        return $this->valorConAssiSeg;
    }

    public function setValorConAssiSeg($valorConAssiSeg)
    {
        $this->valorConAssiSeg = $valorConAssiSeg;
    }

    public function getValorConAssoPri()
    {
        return $this->valorConAssoPri;
    }

    public function setValorConAssoPri($valorConAssoPri)
    {
        $this->valorConAssoPri = $valorConAssoPri;
    }

    public function getValorConAssoSeg()
    {
        return $this->valorConAssoSeg;
    }

    
    public function setValorConAssoSeg($valorConAssoSeg)
    {
        $this->valorConAssoSeg = $valorConAssoSeg;
    }

    public function getValorConConfSeg()
    {
        return $this->valorConConfSeg;
    }

   
    public function setValorConConfSeg($valorConConfSeg)
    {
        $this->valorConConfSeg = $valorConConfSeg;
    }

    public function getValorConSindSeg()
    {
        return $this->valorConSindSeg;
    }

    
    public function setValorConSindSeg($valorConSindSeg)
    {
        $this->valorConSindSeg = $valorConSindSeg;
    }

    public function getValorDissidio()
    {
        return $this->valorDissidio;
    }

    
    public function setValorDissidio($valorDissidio)
    {
        $this->valorDissidio = $valorDissidio;
    }

    public function getVinculoEmpregat()
    {
        return $this->vinculoEmpregat;
    }

    
    public function setVinculoEmpregat($vinculoEmpregat)
    {
        $this->vinculoEmpregat = $vinculoEmpregat;
    }

    public function getMultRescSemJust()
    {
        return $this->multRescSemJust;
    }

    
    public function setMultRescSemJust($multRescSemJust)
    {
        $this->multRescSemJust = $multRescSemJust;
    }

    /*Layout 2018 - Rafael Pickbrenner pck 26/01/2018 tarefa 117174 - 12/04/2019 186354*/
    public function setAprendizgravida($aprendizgravida)
    {
        $this->aprendizgravida = $aprendizgravida;
    }

    public function getAprendizgravida()
    {
        return $this->aprendizgravida;
    }

    public function setTrabalhoparcial($trabalhoparcial)
    {
        $this->trabalhoparcial = $trabalhoparcial;
    }

    public function getTrabalhoparcial()
    {
        return $this->trabalhoparcial;
    }

    public function setTeletrabalho($teletrabalho)
    {
        $this->teletrabalho = $teletrabalho;
    }

    public function getTeletrabalho()
    {
        return $this->teletrabalho;
    }

    public function setTrabalhointermi($trabalhointermi)
    {
        $this->trabalhointermi = $trabalhointermi;
    }

    public function getTrabalhointermi()
    {
        return $this->trabalhointermi;
    }

    /*Layout 2020 - 11/03/2021 tarefa 320433*/
    public function setMatricula($matricula)
    {
        $this->matricula = $matricula;
    }

    public function getMatricula()
    {
        return $this->matricula;
    }

    public function setCategoria($categoria)
    {
        $this->categoria = $categoria;
    }

    public function getCategoria()
    {
        return $this->categoria;
    }
} 