<?php

namespace HCM\Util;

use Zeedhi\Framework\DTO;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;


class ConsultaInscricaoRF {
	
	const EMAIL_CONSULTA_CNPJ = "EMAIL_CONSULTA_CNPJ";
	const SENHA_CONSULTA_CNPJ = "SENHA_CONSULTA_CNPJ";

    public function consultaDadoRF($params, $entityManager)
	{	
		//var_dump($params);die;
		$valorReferenciaEmail = $entityManager->getRepository(Repositories::FPA_VALORREFERENCIAM)->retornaValorReferencia($params['nrorg'], $params['nrorgPadrao'], $params['dtmescompetenc'], self::EMAIL_CONSULTA_CNPJ);
		$valorReferenciaSenha = $entityManager->getRepository(Repositories::FPA_VALORREFERENCIAM)->retornaValorReferencia($params['nrorg'], $params['nrorgPadrao'], $params['dtmescompetenc'], self::SENHA_CONSULTA_CNPJ);
		//var_dump($valorReferenciaEmail);die;
		/*$opc = array('proxy_host'=>"192.168.122.3",
	             'proxy_port'=>8080,
	             'proxy_login'=>"",
	             'proxy_password'=>"");*/
		$client = new \SoapClient('http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx?WSDL');

        if (strlen($params['nrinsjurcan']) == 14)
            $function = 'PessoaJuridicaNFe';
        else
            $function = 'PessoaFisicaSimplificada';
	 
		$arguments = array(array('Credenciais' => array('Email' => $valorReferenciaEmail[0]->getDsobservacao(),
	                                             	 	'Senha' => $valorReferenciaSenha[0]->getDsobservacao()),
	    	                    'Documento'    => $params['nrinsjurcan']));
		$options = array('location' => 'http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx');

        try {
            $result = $client->__soapCall($function, $arguments, $options);
        }catch (\Exception $e)
        {
            return  array("Status" => false, "CONEXAO" => true);
        }

	 	$result = json_encode($result);
	 	$resultadoConsulta = json_decode($result,true);
		return $resultadoConsulta[$function.'Result'];
	}
}