<?php

namespace HCM\Util;

class TkDI
{
    protected $values = array();
    
    protected static $instance = null;
    
    protected function __construct(){}

    public function __set($id, $value)
    {
        $this->values[$id] = $value;
    }

    public function __get($id)
    {
        if (!isset($this->values[$id])) {
            throw new \Exception(sprintf('Identifier "%s" is not defined.', $id));
        }

        return is_callable($this->values[$id]) ? $this->values[$id]($this) : $this->values[$id];
    }

    public function __isset($id)
    {
        return isset($this->values[$id]);
    }

    public function __unset($id)
    {
        unset($this->values[$id]);
    }

    public function asShared($callable)
    {
        return function ($c) use ($callable)
        {
            static $object;

            if (is_null($object)) {
                $object = $callable($c);
            }

            return $object;
        };
    }
    
    public function getIds(){
    	return array_keys($this->values);
    }
    
    public static function getContainer(){
    	if(self::$instance === null){
    		self::$instance = new self();
    	}
    	return self::$instance;
    }
}
