-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     13/10/2021  14:30                         
-- ============================================================

-- ============================================================
--   Trigger: PTO_ADMISSAO_CONTROLFREQ_H                                      
-- ============================================================

CREATE OR REPLACE TRIGGER PTO_ADMISSAO_CONTROLFREQ_H
AFTER INSERT
ON GPE_VINCULOH FOR EACH ROW
DECLARE
  V_PRXCODOCOR     VARCHAR2(20); 
BEGIN
	FOR C_CALENDARIO IN
	 (SELECT DTCALENDARIO
	 FROM OCORCALENDARIO
	WHERE NRORG = :NEW.NRORG
	  AND DTCALENDARIO >= :NEW.DTMESCOMPETENC
	  AND EXISTS (SELECT 1 
	  			 FROM ESTRUTURAH
				WHERE ESTRUTURAH.NRORG        = :NEW.NRORG
				  AND ESTRUTURAH.NRCALENDARIO = OCORCALENDARIO.NRCALENDARIO
				  AND ESTRUTURAH.NRESTRUTURAM = (
                    SELECT
                        MOV.NRESTRUTURAM
                    FROM GPE_MOVIMENTACAO MOV
                    JOIN GPE_PARAMORG PO ON PO.NRORG = MOV.NRORG
                    WHERE MOV.NRORG = :NEW.NRORG
                        AND MOV.NRVINCULOM = :NEW.NRVINCULOM
                        AND MOV.DTINIMOVIMENT <= LAST_DAY(:NEW.DTMESCOMPETENC)
                        AND (MOV.DTFIMMOVIMENT IS NULL OR MOV.DTFIMMOVIMENT >  LAST_DAY(:NEW.DTMESCOMPETENC))
                        AND MOV.NRTIPOESTRUTURA IN (PO.NRTPESTRUTLEGAL, PO.NRTPESTRUTCALEND)
                    ORDER BY DECODE(MOV.NRTIPOESTRUTURA, PO.NRTPESTRUTCALEND, 1, PO.NRTPESTRUTLEGAL, 2, 3), MOV.DTINIMOVIMENT DESC
                    FETCH FIRST ROW ONLY
                  )
				  AND ESTRUTURAH.DTMESCOMPETENC = (SELECT MAX(HH.DTMESCOMPETENC)
													 FROM ESTRUTURAH HH
													WHERE HH.NRORG = :NEW.NRORG
												 	  AND HH.NRESTRUTURAM = ESTRUTURAH.NRESTRUTURAM
													  AND HH.DTMESCOMPETENC <= TRUNC(:NEW.DTMESCOMPETENC, 'MONTH'))))

	LOOP
        NOVO_CODIGO_SC('PTO_PROGOCORRENCIA', V_PRXCODOCOR, 1, :NEW.NRORG);
        INSERT INTO PTO_PROGOCORRENCIA (NRORG,NRPROGOCORRENCIA,NRVINCULOM,DTINICIOPROGOCOR,DTFIMPROGOCOR,IDDIASSEMANA,IDTIPODIACALENDARIO,IDTIPOHORARIO,NRMOTIVOOCORFREQ,NRHORDIAM,NRSITUFREQUENCIA,NRSITUFREQGATILHO,QTMINGATILHOPROGOCOR,QTMAXGATILHOPROGOCOR,VRCOEFICIENTEACRESCIMO,IDPROGOCORRENCIA,QTMINIMAPROGOCOR,QTMAXIMAPROGOCOR,DSOBSERVACAO,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU,NRTIPOPROGOCORRENCIA,NRMARCACAOPONTO,NRINTERVALOHORARIO,IDPROGOCORCONFIRMADA,CDOPERVERIFICADO,DSOBSERVACAORECUSA) 
	 select :NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), :NEW.NRVINCULOM, C_CALENDARIO.DTCALENDARIO, C_CALENDARIO.DTCALENDARIO, '1111111', 'FERIADO', 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, '5' ,NULL, NULL, 'S', NULL, NULL
	   from dual
	  where not exists (select 1 
	                      from PTO_PROGOCORRENCIA p 
					  where p.nrorg = :NEW.NRORG
                              and p.NRVINCULOM = :NEW.NRVINCULOM
						and p.DTINICIOPROGOCOR = C_CALENDARIO.DTCALENDARIO); 		
	END LOOP;		
END;
/
