/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GCTB                                                     */
/* Tabela : GRUPOCTBL                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 12/01/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_GCTB
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPOCTBL FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUGCTB := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPOCTBL,0)  <> NVL(:NEW.CDGRUPOCTBL,0))  OR
         (NVL(:OLD.NMGRUPOCTBL,0)  <> NVL(:NEW.NMGRUPOCTBL,0))  OR
         (NVL(:OLD.CDCTBLDEPREC,0) <> NVL(:NEW.CDCTBLDEPREC,0)) OR
         (NVL(:OLD.CDCTBLDESPDP,0) <> NVL(:NEW.CDCTBLDESPDP,0)) OR
         (NVL(:OLD.CDCTBLCORREC,0) <> NVL(:NEW.CDCTBLCORREC,0)) OR
         (NVL(:OLD.CDCTBLBEM,0)    <> NVL(:NEW.CDCTBLBEM,0))    OR
         (NVL(:OLD.VRPEDEPRANO,0)  <> NVL(:NEW.VRPEDEPRANO,0))  THEN
         :NEW.DTULTATUGCTB := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GRUPOCTBL', '', 'CDGRUPOCTBL='||:OLD.CDGRUPOCTBL||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GRUPOCTBL MODIFY DTULTATUGCTB DEFAULT SYSDATE
/
